<!DOCTYPE html>
<!--
Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
Click nbfs://nbhost/SystemFileSystem/Templates/Other/html.html to edit this template
-->
<html xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>TODO supply a title</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css">
    </head>
    <body>
        <div class="container-fluid pt-3">
            <h1>Llista usuaris</h1>
            <table class="table table-striped">
                <tr>
                    <th>Id</th>
                    <th>Nom</th>
                    <th>Password</th>
                    <th>Opcions</th>
                </tr>
                <tr th:each="user : ${usuaris}">
                    <th th:text="${user.idUsuari}"></th>
                    <th th:text="${user.username}"></th>
                    <th th:text="${user.password}"></th>
                    <th th:if="${user.intents == 0}"><a th:href="@{'/desbloqueja/'+ ${user.idUsuari}}" class="btn btn-primary">Desbloqueja</a></th>
                </tr>
            </table>
            <a th:href="@{/bloquejats}" class="btn btn-info">Usuaris Bloquejats</a>
            <a th:href="@{/llistaUsuaris}" class="btn btn-info">Tots els usuaris</a>
        </div>
    </body>
</html>
